curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-yc-companies-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"max_items": 2
}'import requests
url = "https://api.neuralverge.ai/functions/v1/run-yc-companies-search"
payload = { "max_items": 2 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-yc-companies-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "yc_companies_search",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Y Combinator — companies search\n\n- **Query:** max_items=2\n- **Results:** 2 of 6283 found\n- **Proxy traffic:** 7.0 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "doordash",
"name": "DoorDash",
"url": "https://www.ycombinator.com/companies/doordash",
"alias": "doordash",
"yc_id": 531,
"one_liner": "Restaurant delivery.",
"description": "Founded in 2013, DoorDash is a San Francisco-based technology company passionate about transforming local businesses and dedicated to enabling new ways of working, earning, and living. Today, DoorDash",
"batch": "Summer 2013",
"status": "Public",
"stage": "Growth",
"team_size": 8600,
"industry": "Consumer",
"subindustry": "Consumer -> Food and Beverage",
"industries": [
"Consumer",
"Food and Beverage"
],
"regions": [
"United States of America",
"America / Canada"
],
"tags": [
"Marketplace",
"E-commerce"
],
"location": "San Francisco, CA, USA",
"website": "http://doordash.com",
"logo": "https://bookface-images.s3.amazonaws.com/small_logos/d13287c52acc96909f32342e85c26a33cfdac310.png",
"former_names": [],
"is_hiring": true,
"top_company": true,
"nonprofit": false,
"launched_at": "2013-05-02"
},
"items": [
{
"id": "doordash",
"name": "DoorDash",
"url": "https://www.ycombinator.com/companies/doordash",
"alias": "doordash",
"yc_id": 531,
"one_liner": "Restaurant delivery.",
"description": "Founded in 2013, DoorDash is a San Francisco-based technology company passionate about transforming local businesses and dedicated to enabling new ways of working, earning, and living. Today, DoorDash",
"batch": "Summer 2013",
"status": "Public",
"stage": "Growth",
"team_size": 8600,
"industry": "Consumer",
"subindustry": "Consumer -> Food and Beverage",
"industries": [
"Consumer",
"Food and Beverage"
],
"regions": [
"United States of America",
"America / Canada"
],
"tags": [
"Marketplace",
"E-commerce"
],
"location": "San Francisco, CA, USA",
"website": "http://doordash.com",
"logo": "https://bookface-images.s3.amazonaws.com/small_logos/d13287c52acc96909f32342e85c26a33cfdac310.png",
"former_names": [],
"is_hiring": true,
"top_company": true,
"nonprofit": false,
"launched_at": "2013-05-02"
},
{
"id": "airbnb",
"name": "Airbnb",
"url": "https://www.ycombinator.com/companies/airbnb",
"alias": "airbnb",
"yc_id": 271,
"one_liner": "Book accommodations around the world.",
"description": "Founded in August of 2008 and based in San Francisco, California, Airbnb is a trusted community marketplace for people to list, discover, and book unique accommodations around the world — online or fr",
"batch": "Winter 2009",
"status": "Public",
"stage": "Growth",
"team_size": 6132,
"industry": "Consumer",
"subindustry": "Consumer -> Travel, Leisure and Tourism",
"industries": [
"Consumer",
"Travel, Leisure and Tourism"
],
"regions": [
"United States of America",
"America / Canada"
],
"tags": [
"Marketplace",
"Travel"
],
"location": "San Francisco, CA, USA",
"website": "http://airbnb.com",
"logo": "https://bookface-images.s3.amazonaws.com/small_logos/3e9a0092bee2ccf926e650e59c06503ec6b9ee65.png",
"former_names": [],
"is_hiring": false,
"top_company": true,
"nonprofit": false,
"launched_at": "2012-01-17"
}
],
"total_found": 6283,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 7212
},
"total_points": 2
}Y Combinator companies search
Search the Y Combinator directory by keyword and filters (batch, industry, region, hiring, top company, nonprofit, team size): name, one-liner, batch, status, industries, regions, team size and website. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Keyword (optional). e.g. ai
Batches (comma-separated). e.g. Winter 2024, Summer 2024
Industries (comma-separated). e.g. Fintech, B2B
Regions (comma-separated). e.g. Europe, India
Team size from
x >= 0Team size to
x >= 0Sort by. Options: relevance = Relevance, launch_date = Newest first
relevance, launch_date Hiring
Top companies
Nonprofit
Max items (up to 250)
1 <= x <= 250Starting page
x >= 1Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.